Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 949863 - Improve quota storage related details - disk column|list
Summary: Improve quota storage related details - disk column|list
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Doron Fediuck
QA Contact: Jiri Belka
URL:
Whiteboard: sla
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-04-09 07:54 UTC by Jiri Belka
Modified: 2016-02-10 20:17 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:16:48 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25068 None None None Never

Description Jiri Belka 2013-04-09 07:54:12 UTC
Description of problem:

There is not easy way to find out what is using storage quota. There is not quota column in disks list and 'Storage' subtab in System -> DC - Quota main tab is only ridiculous (showing "All Storage Domains 20 GB out of 10 GB"). I had some strange behaviour when storage quota was exceeded and I could not find out what was causing this. I found it out by checking every disk with the size of exceeded quota (example: 20 GB out of 10 GB = some 20 GB disk is used, so checking 20 GB disks and their General subtab to see their quota).

Please to make us have less headache:
* add quota column for disk view
* add Disks subtab for Quota objects (System -> DC - Quota main tab - specific quota selected)

Version-Release number of selected component (if applicable):
sf13

How reproducible:
?

Steps to Reproduce:
1. add disk in Disk view and assing it a quota and make the disk bigger than quota storage properties
2. check and quota is red/exceeded
3. check in Admin portal what is using this quota (do not check General subtab of your added disk :DDD )
  
Actual results:
not user friendly

Expected results:
user friendliness

Additional info:

Comment 2 Doron Fediuck 2014-01-12 16:04:26 UTC
Suggesting for review in 3.5

Comment 3 Jiri Belka 2014-06-16 11:37:05 UTC
ok, ovirt-engine-webadmin-portal-3.5.0-0.0.master.20140605145557.git3ddd2de.el6.noarch - based on commit comment:

webadmin: Adding Quota column to the Disk tab

Adding a new column to the Disk tab, Quota.
the new Quota column will be visible only in case
the user point to a DC in the tree view,
and that DC is not marked as Quota disabled.
The possible value for this column is:
Empty(null) - no Quota was selected for this Disk.
String value - the name of the Quota selected for this Disk.

Comment 4 Jiri Belka 2014-06-16 11:38:31 UTC
I still think there should be 'Disks' subtab in Quota maintab. What do you think about it?

Comment 7 Eyal Edri 2015-02-17 17:16:48 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.